/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  width: 100%;
  font-size: smaller;

  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  text-align: center;

  & > *:not(:first-child) {
    margin-top: 0.5em;
  }
}

.progress-spinner---hidden {
  display: block;
  font-size: 0;
  height: 0;
  width: 0;
  overflow: hidden;
}

.loading-message {
  font-style: italic;
}

.error-message {
  color: $openk-error-color;
  display: inline-flex;
  align-items: center;
}

.error-message---icon {
  margin-right: 0.25em;
}

.error-message---text {
  color: $openk-error-color;
  font-weight: 600;
  text-align: left;
  line-height: 1.25;
}
